Subject: Re: A note from the maintainer

From: Kaartic Sivaraam <[email-masked]>
Date: Sun, 14 Jun 2020 16:56:00 +0530

Hi Junio,

On 01-06-2020 22:03, Junio C Hamano wrote:
> 
> There is a volunteer-run newsletter to serve our community ("Git Rev
> News" http://git.github.io/rev_news/rev_news.html).
>

It seems the Rev News page has moved to:

    https://git.github.io/rev_news/index.html

The following works too:

    https://git.github.io/rev_news

> 
> * Reporting bugs
> 
> When you think git does not behave as you expect, please do not stop
> your bug report with just "git does not work".  "I used git in this
> way, but it did not work" is not much better, neither is "I used git
> in this way, and X happend, which is broken".  It often is that git is
> correct to cause X happen in such a case, and it is your expectation
> that is broken. People would not know what other result Y you expected
> to see instead of X, if you left it unsaid.
> 
> Please remember to always state
> 
>  - what you wanted to achieve;
> 
>  - what you did (the version of git and the command sequence to reproduce
>    the behavior);
> 
>  - what you saw happen (X above);
> 
>  - what you expected to see (Y above); and
> 
>  - how the last two are different.
> 
> See http://www.chiark.greenend.org.uk/~sgtatham/bugs.html for further
> hints.
> 

I wonder if it might be worth mentioning `git bugreport` somewhere here.

> When sending proposed updates and fixes to these parts of the system,
> please base your patches on these trees, not git.git (the former two
> even have different directory structures).
> 

Thanks for routinely sending these informative notes! :)

-- 
Sivaraam